
QGIS Application - Bug report #14274

"Control feature rendering order" checked by default

2016-02-10 03:22 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee: Sebastian Dietrich

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22268

Description

"Control feature rendering order" option is checked by default, even though no condition is set.

Related issues:

Duplicated by QGIS Application - Bug report # 14293: "Control feature renderi... Closed 2016-02-14

Associated revisions

Revision 40c65059 - 2016-02-16 11:06 PM - Sebastian Dietrich 

correctly check/uncheck 'Control feature rendering order' (fixes #14274)

Revision a44c8902 - 2016-02-17 08:56 AM - Matthias Kuhn 

Merge pull request #2798 from SebDieBln/Fix_cboRenderingOrder

[Bugfix] correctly check/uncheck 'Control feature rendering order' (fixes #14274)

History

#1 - 2016-02-16 02:01 PM - Sebastian Dietrich

- Status changed from Open to In Progress

- Assignee set to Sebastian Dietrich

#2 - 2016-02-16 02:02 PM - Sebastian Dietrich

This bug also has the effect of unchecking the Control feature rendering order option when opening the properties dialog for a layer that has an order

defined.

#3 - 2016-02-16 02:21 PM - Sebastian Dietrich

- Pull Request or Patch supplied changed from No to Yes

- % Done changed from 0 to 100

See PR 2798 for a solution.

#4 - 2016-02-16 04:45 PM - Harrissou Santanna
https://github.com/qgis/QGIS/pull/2798


Thanks Sebastian

Note that I also reported the side effect (in #14293)

#5 - 2016-02-16 11:56 PM - Anonymous

- Status changed from In Progress to Closed

Fixed in changeset commit:"a44c89027f4695936485606c359949e9643f8f40".

#6 - 2016-02-17 12:25 AM - Sebastian Dietrich

I marked #14293 as a duplicate of this an closed it.

#7 - 2016-02-17 12:28 AM - Sebastian Dietrich

What do you think of the automatic checkbox in general?

    -  Check the box

    -  Define an order

    -  Uncheck the box

    -  Apply and close the dialog

    -  Re-open the dialog

    -  -> The box is automatically checked again, without user interaction!

Should it be a bug by itself?

#8 - 2016-02-17 01:07 AM - Harrissou Santanna

I'm not sure it should check automatically (according to "is there an expression set?"). If I uncheck the box, it means that I don't want to use the expression,

it shouldn't get checked next time I open the dialog.

You may test an expression order and then decide to deactivate it (but want to keep the written expression, may be for further purpose). It should behave

as any other checkbox (eg, labelling)

#9 - 2016-02-17 12:44 PM - Sebastian Dietrich

I see we think into the same direction here and I openend #14323 for this issue.
